
/*
 * Copyright 2011-2022 Cuberite Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

#include "BlockHandler.h"





class cBlockPlanksHandler final :
	public cBlockHandler
{
	using Super = cBlockHandler;

public:

	using Super::Super;

private:

	virtual ColourID GetMapBaseColourID(NIBBLETYPE a_Meta) const override
	{
		switch (a_Meta)
		{
			case E_META_PLANKS_BIRCH: return 2;
			case E_META_PLANKS_JUNGLE: return 10;
			case E_META_PLANKS_OAK: return 13;
			case E_META_PLANKS_ACACIA: return 15;
			case E_META_PLANKS_DARK_OAK: return 26;
			case E_META_PLANKS_SPRUCE: return 34;
			default:
			{
				ASSERT(!"Unhandled meta in planks handler!");
				return 0;
			}
		}
	}
} ;




